### Constructor

# Ide Snippet new

#### Declaration

    IdeSnippet*
    ide_snippet_new (
      const gchar* trigger,
      const gchar* language
    )

#### Description

Creates a new `IdeSnippet`.

Available since: | 3.32

#### Parameters

`trigger` | `const gchar*`
| The trigger word.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`language` | `const gchar*`
| The source language.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeSnippet`
| A new `IdeSnippet`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.